org.apache.struts2.sitemesh

## Class StrutsSiteMeshFactory

- java.lang.Object
- - com.opensymphony.module.sitemesh.Factory
  - - com.opensymphony.module.sitemesh.factory.BaseFactory
    - - com.opensymphony.module.sitemesh.factory.DefaultFactory
      - - org.apache.struts2.sitemesh.StrutsSiteMeshFactory

- All Implemented Interfaces:
    com.opensymphony.module.sitemesh.PageParserSelector

      public class StrutsSiteMeshFactory
      extends com.opensymphony.module.sitemesh.factory.DefaultFactory

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.module.sitemesh.factory.DefaultFactory

      `configCheckMillis`

    - ### Fields inherited from class com.opensymphony.module.sitemesh.factory.BaseFactory

      `config, decoratorMapper, excludeUrls, pageParsers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsSiteMeshFactory(com.opensymphony.module.sitemesh.Config config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `shouldParsePage(String contentType)` Determine whether a Page of given content-type should be parsed or not, avoiding inner action parsing.

    - ### Methods inherited from class com.opensymphony.module.sitemesh.factory.DefaultFactory

      `refresh`

    - ### Methods inherited from class com.opensymphony.module.sitemesh.factory.BaseFactory

      `addExcludeUrl, clearDecoratorMappers, clearExcludeUrls, clearParserMappings, getDecoratorMapper, getDecoratorMapper, getPageParser, isPathExcluded, mapParser, pushDecoratorMapper`

    - ### Methods inherited from class com.opensymphony.module.sitemesh.Factory

      `getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrutsSiteMeshFactory

          public StrutsSiteMeshFactory(com.opensymphony.module.sitemesh.Config config)

  - ### Method Detail

    - #### shouldParsePage

          public boolean shouldParsePage(String contentType)

      Determine whether a Page of given content-type should be parsed or not, avoiding inner action parsing.
      Specified by:
        `shouldParsePage` in interface `com.opensymphony.module.sitemesh.PageParserSelector`
      Overrides:
        `shouldParsePage` in class `com.opensymphony.module.sitemesh.factory.BaseFactory`

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.